Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoVerifyInfo

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoVerifyInfo,MonoVerifyInfo.ByValue,MonoVerifyInfo.ByReference>
              com.nativelibs4java.mono.MonoVerifyInfo

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoVerifyInfo,MonoVerifyInfo.ByValue,MonoVerifyInfo.ByReference>>

Direct Known Subclasses:
  MonoVerifyInfo.ByReference, MonoVerifyInfo.ByValue

    public class MonoVerifyInfo

extends Structure<MonoVerifyInfo,MonoVerifyInfo.ByValue,MonoVerifyInfo.ByReference>

native declaration : mono\metadata\verify.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoVerifyInfo.ByReference`
`static class` | `MonoVerifyInfo.ByValue`

Field Summary
`ByteByReference` | `message`
`int` | `status`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoVerifyInfo()`
`MonoVerifyInfo(ByteByReference message, int status)`

Method Summary
`protected MonoVerifyInfo.ByReference` | `newByReference()`
`protected MonoVerifyInfo.ByValue` | `newByValue()`
`protected MonoVerifyInfo` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### message

    public ByteByReference message

### status

    public int status

Constructor Detail

### MonoVerifyInfo

    public MonoVerifyInfo()

### MonoVerifyInfo

    public MonoVerifyInfo(ByteByReference message,
                          int status)

Method Detail

### newByReference

    protected MonoVerifyInfo.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoVerifyInfo,MonoVerifyInfo.ByValue,MonoVerifyInfo.ByReference>`

### newByValue

    protected MonoVerifyInfo.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoVerifyInfo,MonoVerifyInfo.ByValue,MonoVerifyInfo.ByReference>`

### newInstance

    protected MonoVerifyInfo newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoVerifyInfo,MonoVerifyInfo.ByValue,MonoVerifyInfo.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD